package geometria;

public class Quadrato
extends Quadrilatero
implements confronti.Confrontabile
{
	public Quadrato(double l)
	{
		super(l, l, l, l);
	}

	public double perimetro()
	{
		return lati[0]*4;
	}

	public double area()
	{
		return lati[0]*lati[0];
	}

	public String toString()
	{
		return super.toString() + ", ma per meglio dire sono un quadrato di lato " + lati[0];
	}

	public int confronta(confronti.Confrontabile c)
	{
		Quadrato q = (Quadrato)c;
		//due quadarti il cui lato differisce di meno di 1 sono uguali
		return (int)(lati[0] - q.lati[0]);
	}
}
