package list;

import java.util.*;

public class UsaList
{
	public static void main(String[] argv)
	{
		List l = new LinkedList();

		for(int i = 0;i<argv.length;i++)
		{
			l.add(new IntHolder(Integer.parseInt(argv[i])));
		}

		System.out.println(l);

		ListIterator li = l.listIterator();

		int media = 0;
		while(li.hasNext())
		{
			IntHolder ih = (IntHolder)li.next();
			System.out.println(ih);
			media += ih.val;
		}
		media /= l.size();
		System.out.println("Il valore medio di " + l + " e': " + media);

		ListIterator l2 = l.listIterator();
		while(l2.hasNext())
		{
			System.out.println(l2.next());
			if(l2.previousIndex() == 0)
			{
				l2.remove();
			}
		}
		System.out.println(l);

		while(li.hasPrevious())
		{
			System.out.println(li.previous());

			//aggiungo una manipolazione diretta
			//l.remove(0);

			li.remove();
			System.out.println(l);
		}
	}
}
