package scaffali;

public class Scaffale2
extends Scaffale
{
	public Scaffale2(int numRip, int largRip)
	{
		super(0,0);
		ripiani = new Ripiano2[numRip];
    for(int i=0;i<numRip;i++)
    {
      ripiani[i] = new Ripiano2(largRip);
    }
	}

	public Pubblicazione[] cercaPerTipo(String tipo)
	{
		Pubblicazione[][] tmpRes = new Pubblicazione[ripiani.length][];
		int i = 0;
		for(i=0;i<ripiani.length;i++)
		{
			tmpRes[i] = ((Ripiano2)ripiani[i]).cercaPerTipo(tipo);
		}
		int lunTot = 0;
		for(i=0;i<ripiani.length;i++)
		{
			lunTot += tmpRes[i].length;
		}
		Pubblicazione[] result = new Pubblicazione[lunTot];
		i = 0;
		int j,k;
		for(j=0;j<tmpRes.length;j++)
		{
			for(k=0;k<tmpRes[j].length;k++)
			{
				result[i++] = tmpRes[j][k];
			}
		}
		return result;
	}
}
